package com.zjrs.zwnw.rlzysc.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

public class ZwXxUDTO {
    @NotNull(message = "请检查展位是否正确生成")
    private List<List<Map<String,Object>>> zwlist;//展位状态集合

    @NotBlank(message = "缺少总行数参数")
    private String hs;//总行数
    @NotBlank(message = "缺少总列数参数")
    private String ls;//总列数
    @NotBlank(message = "缺少名称参数")
    private String zwmc;//名称
    private String hcbh;//会场编号
    @NotBlank(message = "缺少地点参数")
    private String dd;//地点
    @NotBlank(message = "缺少开始时间参数")
    private String kssj;//开始时间
    @NotBlank(message = "缺少开始时间参数")
    private String jssj;//结束时间
    @NotBlank(message = "缺少简介参数")
    private String jj;//简介
    private String sfzczxzw;//是否支持自选展位

    private String rsrlzyzwgllsh;//展位管理流水号

    public String getRsrlzyzwgllsh() {
        return rsrlzyzwgllsh;
    }

    public void setRsrlzyzwgllsh(String rsrlzyzwgllsh) {
        this.rsrlzyzwgllsh = rsrlzyzwgllsh;
    }

    private String rsrlzyhcgllsh;//会场管理流水号

    public String getRsrlzyhcgllsh() {
        return rsrlzyhcgllsh;
    }

    public void setRsrlzyhcgllsh(String rsrlzyhcgllsh) {
        this.rsrlzyhcgllsh = rsrlzyhcgllsh;
    }

    public String getHs() {
        return hs;
    }

    public void setHs(String hs) {
        this.hs = hs;
    }

    public String getLs() {
        return ls;
    }

    public void setLs(String ls) {
        this.ls = ls;
    }

    public List<List<Map<String, Object>>> getZwlist() {
        return zwlist;
    }

    public void setZwlist(List<List<Map<String, Object>>> zwlist) {
        this.zwlist = zwlist;
    }



    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public String getHcbh() {
        return hcbh;
    }

    public void setHcbh(String hcbh) {
        this.hcbh = hcbh;
    }

    public String getDd() {
        return dd;
    }

    public void setDd(String dd) {
        this.dd = dd;
    }

    public String getKssj() {
        return kssj;
    }

    public void setKssj(String kssj) {
        this.kssj = kssj;
    }

    public String getJssj() {
        return jssj;
    }

    public void setJssj(String jssj) {
        this.jssj = jssj;
    }

    public String getJj() {
        return jj;
    }

    public void setJj(String jj) {
        this.jj = jj;
    }
    public String getSfzczxzw() {
        return sfzczxzw;
    }

    public void setSfzczxzw(String sfzczxzw) {
        this.sfzczxzw = sfzczxzw;
    }
}
